#pragma once

#include "uiframe.h"

// ----------------------------------------------------------------------------------
class CUiLuaModel
{
public:
	static	void			OpenLib(lua_State* L);
	static	int				SetMetaTable(lua_State* L);
};

// ----------------------------------------------------------------------------------
class CUiModel : public CUiFrame
{
public:
	CUiModel(const char* name, CUiLayout* pParent, CUi* pUi);
	virtual ~CUiModel();

	virtual	void			SetLuaMetaTable(lua_State* l)			{ CUiLuaModel::SetMetaTable(l); }
protected:
	
};